Bug 435322 - ORDER BY not working with GROUP BY [mysql bug #32202]
ORDER BY not working with GROUP BY [mysql bug #32202]
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Tom Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-28 12:58 EST by Dave Maley
Modified: 2013-07-02 23:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 23:57:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Maley 2008-02-28 12:58:41 EST
Description of problem: A query that has a GROUP BY ignores subsequent ORDER BY
clause


Version-Release number of selected component (if applicable): 5.0.45-6.fc8


How reproducible: 100%


Steps to Reproduce: I've encountered this problem when using squeezecenter (next
generation slimserver) which is available from:
http://slimdevices.com/dev_nightly.html
1. install and start squeezecenter
2. scan music library
3. view artist listing
  
Actual results: results not sorted properly


Expected results: correct sorting of results


Additional info: This is MySQL bug #32202 and is also referenced in
squeezecenter bug #7035:

http://bugs.mysql.com/bug.php?id=32202
http://bugs.slimdevices.com/show_bug.cgi?id=7035

The MySQL bug states a fix is included in 5.0.52.
Comment 1 Dave Maley 2008-03-10 23:57:51 EDT
squeezecenter 7.0 was recently released and after updating to it I'm no longer
seeing the problem.  Not sure if squeezecenter worked around the mysql bug or if
it wasn't a mysql bug after all ..... either way I'm closing this as working for
me now.

Note You need to log in before you can comment on or make changes to this bug.